> For the complete documentation index, see [llms.txt](https://docs.bsure.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bsure.io/v1/installation/prerequisites.md).

# Prerequisites

Before starting the installation, make sure to have all prerequisites in place.

### Data Collector app

To be able to install the Data Collector app from Azure Marketplace you need to have the following in place:

* [ ] Tenant has to be at Entra ID P1 level (Minimum 1 license)
* [ ] User with Global Administrator privileges in your Entra ID to install the Managed Application
* [ ] Azure subscription&#x20;
* [ ] User with owner permissions on the Azure subscription
* [ ] Resource Group (W*e recommend creating a new one dedicated to host all Bsure Insights resources*)
* [ ] Storage Account **with Public IP** (*We recommend creating a new one dedicated for Bsure Insights. All the user data collected will be stored here*)
* [ ] Storage Account Connection String and Access Key

### Power Bi app

* [ ] User with a Power BI Pro license

### Useful guides from Microsoft to fulfil the requirements

* [Create an Azure Subscription](https://learn.microsoft.com/en-us/azure/cost-management-billing/manage/create-subscription)
* [Create a Resource Group](https://learn.microsoft.com/en-us/azure/azure-resource-manager/management/manage-resource-groups-portal)
* [Create a Storage Account](https://learn.microsoft.com/en-us/azure/storage/common/storage-account-create?tabs=azure-portal)
* [Managed Storage Account Access Keys](https://learn.microsoft.com/en-us/azure/storage/common/storage-account-keys-manage?tabs=azure-portal)

Bsure recommends you fill out this formular prior to the installation, since you need all information during the installation process.

| Subject                           | Details of your data |
| --------------------------------- | -------------------- |
| Azure Subscription                |                      |
| Resource Group                    |                      |
| Storage Account                   |                      |
| Storage Account Connection Key    |                      |
| Storage Account Connection String |                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bsure.io/v1/installation/prerequisites.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
